[med-svn] [Git][med-team/seqan-raptor][master] 8 commits: Fix docs only build
Michael R. Crusoe (@crusoe)
gitlab at salsa.debian.org
Mon Aug 21 13:25:44 BST 2023
Michael R. Crusoe pushed to branch master at Debian Med / seqan-raptor
Commits:
4219667e by Michael R. Crusoe at 2023-08-21T13:24:03+02:00
Fix docs only build
- - - - -
04dd1015 by Michael R. Crusoe at 2023-08-21T13:30:15+02:00
d/clean: remove doc_build to fix "fails to build source after successful build". Closes: #1048716
- - - - -
01e29a30 by Michael R. Crusoe at 2023-08-21T13:30:16+02:00
r/rules: allow for existing "doc_build" directory. Fixes "Fails to build binary packages again after successful build". Closes: #1049768
- - - - -
77f6e09d by Michael R. Crusoe at 2023-08-21T13:34:56+02:00
d/rules: export and install the CWL descriptions to /usr/share/commonwl/raptor-*.cwl
- - - - -
006c8eed by Michael R. Crusoe at 2023-08-21T13:35:27+02:00
d/control: suggest the virtual package cwl-runner.
- - - - -
02b5b664 by Michael R. Crusoe at 2023-08-21T13:36:42+02:00
d/clean: clean up the generated manpages and CWL descriptions.
- - - - -
7283ea0f by Michael R. Crusoe at 2023-08-21T14:15:56+02:00
d/tests/: add CWL-based autopkgtest.
- - - - -
3e5170c6 by Michael R. Crusoe at 2023-08-21T14:17:58+02:00
routine-update: Ready to upload to unstable
- - - - -
7 changed files:
- debian/changelog
- + debian/clean
- debian/control
- debian/rules
- debian/seqan-raptor.install
- + debian/tests/control
- + debian/tests/cwl
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,19 @@
+seqan-raptor (3.0.1+ds-2) unstable; urgency=medium
+
+ * Fix docs only build
+ * d/clean: remove doc_build to fix "fails to build source after
+ successful build". Closes: #1048716
+ * r/rules: allow for existing "doc_build" directory. Fixes "Fails to
+ build binary packages again after successful build". Closes:
+ #1049768
+ * d/rules: export and install the CWL descriptions to
+ /usr/share/commonwl/raptor-*.cwl
+ * d/control: suggest the virtual package cwl-runner.
+ * d/clean: clean up the generated manpages and CWL descriptions.
+ * d/tests/: add CWL-based autopkgtest.
+
+ -- Michael R. Crusoe <crusoe at debian.org> Mon, 21 Aug 2023 14:17:58 +0200
+
seqan-raptor (3.0.1+ds-1) unstable; urgency=medium
* New upstream version
=====================================
debian/clean
=====================================
@@ -0,0 +1,3 @@
+doc_build/
+debian/*.1
+debian/*.cwl
=====================================
debian/control
=====================================
@@ -31,6 +31,7 @@ Rules-Requires-Root: no
Package: seqan-raptor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: cwl-runner
Description: pre-filter for querying very large collections of nucleotide sequences
Raptor is a system for approximately searching many queries such as
next-generation sequencing reads or transcripts in large collections of
=====================================
debian/rules
=====================================
@@ -10,6 +10,9 @@ include /usr/share/dpkg/buildflags.mk
%:
dh $@
+override_dh_auto_configure-indep:
+ true
+
override_dh_auto_configure-arch:
dh_auto_configure -- -DRAPTOR_NATIVE_BUILD=OFF -DRAPTOR_SUBMODULES_DIR=$(CURDIR)/lib -DRAPTOR_STRIP_BINARY=OFF
@@ -21,10 +24,15 @@ override_dh_auto_build-arch:
obj-*/bin/raptor layout --export-help man > debian/raptor-layout.1
obj-*/bin/raptor prepare --export-help man > debian/raptor-prepare.1
obj-*/bin/raptor upgrade --export-help man > debian/raptor-upgrade.1
+ obj-*/bin/raptor build --export-help cwl > debian/raptor-build.cwl
+ obj-*/bin/raptor search --export-help cwl > debian/raptor-search.cwl
+ obj-*/bin/raptor layout --export-help cwl > debian/raptor-layout.cwl
+ obj-*/bin/raptor prepare --export-help cwl > debian/raptor-prepare.cwl
+ obj-*/bin/raptor upgrade --export-help cwl > debian/raptor-upgrade.cwl
override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
- mkdir doc_build && cd doc_build && cmake ../test/documentation && $(MAKE) && ctest . --output-on-failure && cd latex && $(MAKE)
+ mkdir -p doc_build && cd doc_build && cmake ../test/documentation && $(MAKE) && ctest . --output-on-failure && cd latex && $(MAKE)
endif
override_dh_auto_install-indep:
=====================================
debian/seqan-raptor.install
=====================================
@@ -1 +1,2 @@
usr/bin/*
+debian/*.cwl /usr/share/commonwl/
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: cwl
+Depends: @, cwltool, python3-setuptools, nodejs
+Restrictions: allow-stderr
=====================================
debian/tests/cwl
=====================================
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+pkg=seqan-raptor
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cwltool --outdir "${AUTOPKGTEST_TMP}" /usr/share/commonwl/raptor-build.cwl \
+ workflow/cwl/tests/raptor-build-0_bins_window_19.yml \
+ | grep 098169f476fb949b0d08f2d1e05881049819b811
+
+cwltool --outdir "${AUTOPKGTEST_TMP}" /usr/share/commonwl/raptor-build.cwl \
+ workflow/cwl/tests/raptor-build-16_bins_window_19.yml \
+ | grep 64a4328eb3dab99bf6ecd38f84f4ae45fd01a4dd
View it on GitLab: https://salsa.debian.org/med-team/seqan-raptor/-/compare/ebce7114f3558873a4297c7d13b0b88e42925169...3e5170c6e52930e4422d9addc21c726e37936e2e
--
View it on GitLab: https://salsa.debian.org/med-team/seqan-raptor/-/compare/ebce7114f3558873a4297c7d13b0b88e42925169...3e5170c6e52930e4422d9addc21c726e37936e2e
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20230821/c233e0b7/attachment-0001.htm>
More information about the debian-med-commit
mailing list